Compare commits

...
Sign in to create a new pull request.

68 commits

Author SHA1 Message Date
Kay Sievers
ce9320b04b obsolete udev, it is replaced by systemd 2012-07-11 14:28:30 +02:00
Kay Sievers
a07cb8f5f4 drop dependency on specific udev daemon verison 2012-05-24 22:51:05 +02:00
Harald Hoyer
38609fdb7f udev-182-2
- removed s390 rules
2012-03-27 16:54:27 +02:00
Kay Sievers
b59133e5f9 version 182 2012-03-18 20:30:37 +01:00
Kay Sievers
1fcd4845c9 rebuild with fixed binutils 2012-02-09 13:08:07 +01:00
Kay Sievers
d138c6fc55 version 181 2012-02-07 02:11:38 +01:00
Kay Sievers
9646fdce3a test building with filesystem guard 2012-02-03 11:36:31 +01:00
Kay Sievers
90bdfa8bcd install everything in /usr 2012-01-29 18:36:10 +01:00
Kay Sievers
17aa1fb443 version 180 2012-01-29 18:20:56 +01:00
Kay Sievers
e0bc75be11 use %{_sbindir} now that everything is in /usr 2012-01-25 19:42:51 +01:00
Harald Hoyer
36b9856624 increment release 2012-01-25 15:42:00 +01:00
Kay Sievers
dc3e663505 install everything in /usr
This patch is needed for the /usr-move feature
https://fedoraproject.org/wiki/Features/UsrMove

This package requires now 'filesystem' >= 3, which is only installable
on a system which has /bin, /sbin, /lib, /lib64 as symlinks to /usr and
not regular directories. The 'filesystem' package acts as a guard, to
prevent *this* package to be installed on old unconverted systems.

New installations will have the 'filesystem' >=3 layout right away, old
installations need to be converted with anaconda or dracut first; only
after that, the 'filesystem' package, and also *this* package can be
installed.

Packages *should* not install files in /bin, /sbin, /lib, /lib64, but
only in the corresponding directories in /usr. Packages *must* not
install conflicting files with the same names in the corresponding
directories in / and /usr. Especially compatibilty symlinks must not be
installed.

Feel free to modify any of the changes to the spec file, but keep the
above in mind.
2012-01-25 15:29:56 +01:00
Kay Sievers
f110253ee5 work around broken upstream tarball's 'xslt' ifdef 2012-01-25 15:02:58 +01:00
Kay Sievers
e0eeb8a6eb require 'kmod-devel' instead of 'kmod-libs' 2012-01-25 14:47:02 +01:00
Kay Sievers
faded2be30 version 179 2012-01-25 14:25:19 +01:00
Dennis Gilmore
27412d3df2 - Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild 2012-01-14 01:25:45 -06:00
Kay Sievers
f9c13ce3bf version 175 2011-11-08 01:46:54 +01:00
Kay Sievers
4dfe0853b6 ignore entire rule when a key is unknown 2011-10-22 22:06:39 +02:00
Kay Sievers
9653945ff2 update dracut requirement, include entire /lib/udev directory 2011-10-20 13:55:54 +02:00
Kay Sievers
2d66943d2f fix version in changelog 2011-10-20 00:24:46 +02:00
Kay Sievers
2618aa966e version 174 2011-10-19 21:22:11 +02:00
Daniel Drake
5fd2aaff27 Update OLPC XO keymap 2011-08-29 14:39:36 +01:00
Harald Hoyer
08ec76712b version 173
udev-acl functionality is in systemd
2011-08-01 13:21:13 +02:00
Harald Hoyer
c28cf5922c removed loop devices (should be compiled in the kernel)
removed deprecated directories
removed scsi_id symlink
cleanup of requirements
2011-07-20 13:58:40 +02:00
Harald Hoyer
6ae88f0d84 removed loop devices (should be compiled in the kernel)
removed deprecated directories
2011-07-20 13:50:03 +02:00
Harald Hoyer
c48bf88aea removed loop devices (should be compiled in the kernel) 2011-07-20 13:29:29 +02:00
Harald Hoyer
0c6edc1da2 version 172 2011-07-11 15:12:16 +02:00
Harald Hoyer
27c9ba33fe build without introspection
removed unused dirs
added ConsoleKit dirs
2011-06-20 10:27:09 +02:00
Ville Skyttä
2443122e5f udev.spec: own the ConsoleKit and ConsoleKit/run-seat.d dirs
If udev does not actually require ConsoleKit, the dependency should not
be added just for dir ownership, instead the dirs should be owned in
udev which is what the patch does.

http://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership

https://bugzilla.redhat.com/show_bug.cgi?id=710781
2011-06-20 10:23:17 +02:00
Harald Hoyer
3643fbe9e5 udev.spec: remove introspection and unneeded dirs 2011-06-20 10:22:00 +02:00
Harald Hoyer
f9e3401ad5 version 171 2011-05-27 11:18:48 +02:00
Harald Hoyer
3ad6199da3 version 170
removed /sbin/start_udev
2011-05-20 14:53:29 +02:00
Harald Hoyer
60836322f1 version 170
removed /sbin/start_udev
2011-05-20 14:45:08 +02:00
Harald Hoyer
e70c43125b version 170
removed /sbin/start_udev
2011-05-20 14:40:12 +02:00
Harald Hoyer
83891f6381 - more selinux fixes 2011-04-11 12:15:57 +02:00
Harald Hoyer
3bc0c66b99 Merge remote branch 'origin/f15/master' 2011-04-08 10:05:50 +02:00
Harald Hoyer
b52809d0de udev.spec: untabify 2011-04-08 10:05:10 +02:00
Adam Williamson
cef722535f selinux_label.patch: don't label files outside of /dev 2011-04-07 17:19:42 -07:00
Harald Hoyer
8df68695ff Merge branch 'f15/master' 2011-03-31 18:32:08 +02:00
Harald Hoyer
58624e426e udev.spec: removed gtk-doc 2011-03-31 18:30:08 +02:00
Harald Hoyer
cbf7ac132c removed libxslt buildreq and touch man pages, to prevent rebuild 2011-03-31 18:29:20 +02:00
Harald Hoyer
8cf0c7defa - fixed udev-trigger.service 2011-03-31 18:17:55 +02:00
Harald Hoyer
0b0304cfe1 - fixed udev-trigger.service 2011-03-31 17:58:51 +02:00
Harald Hoyer
21ab835136 removed libxslt buildreq and touch man pages, to prevent rebuild 2011-03-30 17:36:11 +02:00
Harald Hoyer
90347b2001 - version 167 2011-03-30 17:29:32 +02:00
Harald Hoyer
7d03ac0923 - version 167 2011-03-30 17:29:25 +02:00
Harald Hoyer
9ecfc0140b - version 167 2011-03-30 17:18:01 +02:00
Harald Hoyer
a8dfb502d8 - version 167 2011-03-30 16:50:28 +02:00
Harald Hoyer
545bd16ca5 - add ACLs for harmony remote controls
Resolves: rhbz#559412
- fixed CDROM profile handling
2011-03-23 13:36:44 +01:00
Harald Hoyer
99318e91b4 - add ACLs for harmony remote controls
Resolves: rhbz#559412
- fixed CDROM profile handling
2011-03-23 13:35:43 +01:00
Harald Hoyer
400c0eaaaa - renamed udev-post initscript to udev-retry to match
upstream systemd service name
- version 166
2011-02-16 18:41:21 +01:00
Harald Hoyer
57a491c1af - renamed udev-post initscript to udev-retry to match
upstream systemd service name
- version 166
2011-02-16 18:27:27 +01:00
Dennis Gilmore
61095fb1d9 - Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild 2011-02-07 17:57:39 -06:00
Harald Hoyer
243a0734e5 - fixed: network device renaming 2-step exceeds IFNAMSIZ
Resolves: rhbz#673675
2011-02-02 18:59:23 +01:00
Harald Hoyer
c67280da85 - fixed: network device renaming 2-step exceeds IFNAMSIZ
Resolves: rhbz#673675
2011-02-02 18:35:54 +01:00
Harald Hoyer
863c17e8e2 - fixed: network device renaming 2-step exceeds IFNAMSIZ
Resolves: rhbz#673675
2011-02-02 18:35:27 +01:00
Harald Hoyer
ad72e1d944 udev.spec: removed MAKEDEV symlink 2010-12-06 10:20:50 +01:00
Harald Hoyer
15fa57fca0 udev.spec: fixed pre/post udev kill loop 2010-12-06 09:52:36 +01:00
Bastien Nocera
3f6713d0df - Add patches to fix touchpad toggle key handling 2010-11-25 16:05:53 +00:00
Harald Hoyer
9a010ac3e5 - add ACLs for PDA devices
Resolves: rhbz#642435
2010-11-12 15:49:43 +01:00
Harald Hoyer
1efa3f58ce - enlarged the import buffer to fix the ressize bugs
Resolves: rhbz#652318
2010-11-12 15:29:16 +01:00
Harald Hoyer
dfa8b8fed2 - do not create mount point dirs in /dev 2010-11-12 14:20:37 +01:00
Harald Hoyer
3ce9b85314 - version 164
- skip start_udev with systemd
2010-10-29 10:56:18 +02:00
Harald Hoyer
8fcb6e53ed - version 164
- skip start_udev with systemd
2010-10-29 10:55:52 +02:00
Jesse Keating
94c7d90643 - Rebuilt for gcc bug 634757 2010-09-29 15:24:41 -07:00
Matthias Clasen
d8bca2a5df Rebuild 2010-09-21 20:18:19 -04:00
Harald Hoyer
b11538a6c7 - bugfixes for systemd service files
- bugfix for selinux labeling
- bugfixes for cdrom_id
2010-09-01 11:26:01 +02:00
Harald Hoyer
d2cb40f302 - udev-161 with an upstream quirk for the qemu cdrom and
more cdrom handling bugfixes
Resolves: rhbz#609049 rhbz#624286
- added floppy group
Resolves: rhbz#620814
2010-08-17 11:45:34 +02:00
11 changed files with 1 additions and 1746 deletions

1
.gitignore vendored
View file

@ -1 +0,0 @@
udev-160.tar.bz2

View file

@ -1,6 +0,0 @@
Patch:
@for i in 00*.patch; do n=$$[$$(echo $$i|cut -f 1 -d '-'|sed -e 's#^0*##')]; echo "Patch$$n: $$i";done
patch:
@for i in 00*.patch; do n=$$[$$(echo $$i|cut -f 1 -d '-'|sed -e 's#^0*##')]; echo "%patch$$n -p1 -b .git$$n";done

1
dead.package Normal file
View file

@ -0,0 +1 @@
obsolete udev, it is replaced by systemd

View file

@ -1 +0,0 @@
ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/

View file

@ -1 +0,0 @@
65459a1f090082c0471bf4e5112208d7 udev-160.tar.bz2

View file

@ -1,78 +0,0 @@
#!/bin/bash
#
# start_udev
#
# script to initialize /dev by using udev.
#
# Copyright (C) 2004 Greg Kroah-Hartman <greg@kroah.com>
#
# Released under the GPL v2 only.
#
# This needs to be run at the earliest possible point in the boot
# process.
#
# Based on the udev init.d script
#
# Thanks go out to the Gentoo developers for proving
# that this is possible to do.
#
# Yes, it's very verbose, feel free to turn off all of the echo calls,
# they were there to make me feel better that everything was working
# properly during development...
#
# don't use udev if sysfs is not mounted.
export TZ=/etc/localtime
[ -d /sys/class ] || exit 1
[ -r /proc/mounts ] || exit 1
[ -x /sbin/udevd ] || exit 1
. /etc/init.d/functions
prog=udev
touch_recursive() {
( cd $1;
for i in *; do
[[ -c "$i" || -b "$i" ]] && touch --no-create "$i"
[ -d "$i" ] && touch_recursive "$i"
done )
return 0
}
ret=0
STRING=$"Starting $prog: "
# propagate /dev from /sys
echo -n "$STRING"
# turn off hotplug binary calling
if ! [ -x /sbin/hotplug ]; then
if [ -e /sys/kernel/uevent_helper ]; then
echo -e '\000\000\000\000' > /sys/kernel/uevent_helper
elif [ -e /proc/sys/kernel/hotplug ]; then
echo -e '\000\000\000\000' > /proc/sys/kernel/hotplug
fi
fi
/sbin/udevd -d
ret=$[$ret + $?]
/sbin/udevadm trigger --type=subsystems --action=add
/sbin/udevadm trigger --type=devices --action=add
/sbin/udevadm settle
ret=$[$ret + $?]
# touch all device files for timezone glitches
# "find" is in /usr/bin and might not be available
if [ -f /etc/sysconfig/clock ]; then
. /etc/sysconfig/clock
[[ "$UTC" == "false" || "$UTC" == "no" ]] \
&& touch_recursive /dev > "/dev/null" 2>&1
fi
[ $ret -eq 0 ] && success $"$STRING" || failure $"$STRING"
echo
exit 0

View file

@ -1,8 +0,0 @@
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: See http://www.kernel.org/signature.html for info
iD8DBQBMOkG1yGugalF9Dw4RAjB0AJ9ftRX/zmCiRcSyQWhcWJXsnXDn3gCeMFbR
KdR80Jxmitbil01dFfPzwEE=
=8B8M
-----END PGP SIGNATURE-----

View file

@ -1,67 +0,0 @@
#!/bin/bash
#
# udev-post Post script for udev, after all filesystems are mounted
#
# Authors: Harald Hoyer <harald@redhat.com>
#
# chkconfig: 12345 26 75
# description: Moves the generated persistent udev rules to /etc/udev/rules.d
#
### BEGIN INIT INFO
# Default-Start: 12345
# Default-Stop: 0 6
# Required-Start: $local_fs
# Required-Stop:
# Short-Description: Moves the generated persistent udev rules to /etc/udev/rules.d
# Description: Moves the generated persistent udev rules to /etc/udev/rules.d
# Provides: udev-post
### END INIT INFO
. /etc/rc.d/init.d/functions
# See how we were called.
case "$1" in
start|reload)
[ -w /var/lock/subsys ] || exit 4
STRING=$"Retrigger failed udev events"
echo -n $STRING
/sbin/udevadm trigger --type=failed
success "$STRING"
echo
STRING=$"Adding udev persistent rules"
# copy the rules generated before / was mounted read-write
for file in /dev/.udev/tmp-rules--*; do
dest=${file##*tmp-rules--}
# check, if anything is todo
[ "$dest" = '*' ] && exit 0
echo -n $STRING
cat $file >> /etc/udev/rules.d/$dest
rc=$?
rm -f $file
if [ "$rc" -eq "0" ]; then
success "$STRING"
echo
elif [ "$rc" -eq "1" ]; then
failure "$STRING"
echo
fi
done
touch /var/lock/subsys/udev-post
exit 0
;;
stop)
[ -w /var/lock/subsys ] || exit 4
rm -f /var/lock/subsys/udev-post
exit 0
;;
status)
exit 3
;;
*)
echo $"Usage: $0 {start|stop|reload}"
exit 2
esac
exit 0

1529
udev.spec

File diff suppressed because it is too large Load diff

View file

@ -1 +0,0 @@
udev-145.tar.bz2

View file

@ -1,54 +0,0 @@
pub 1024D/517D0F0E 2000-10-10 Linux Kernel Archives Verification Key <ftpadmin@kernel.org>
Key fingerprint = C75D C40A 11D7 AF88 9981 ED5B C86B A06A 517D 0F0E
sub 4096g/E50A8F2A 2000-10-10
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.3 (GNU/Linux)
Comment: For info see http://www.gnupg.org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=SZZb
-----END PGP PUBLIC KEY BLOCK-----